Package wx :: Package lib :: Package agw :: Module piectrl :: Class PieCtrlLegend

[frames | no frames]

## Type PieCtrlLegend

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                        PieCtrlLegend

Method Summary
| ``__init__`(self, parent, title, id, pos, size, style)` Default class constructor.
| ``GetBackColour`(self)` Returns the legend background colour.
| ``GetHorizontalBorder`(self)` Returns the legend's horizontal border.
| ``GetLabelColour`(self)` Returns the legend label colour.
| ``GetLabelFont`(self)` Returns the legend label font.
| ``GetVerticalBorder`(self)` Returns the legend's vertical border.
| ``IsTransparent`(self)` Returns whether the legend background is transparent or not.
| ``OnPaint`(self, event)` Handles the wx.EVT_PAINT event for the legend.
| ``RecreateBackground`(self, parentdc)` Recreates the legend background.
| ``SetBackColour`(self, colour)` Sets the legend background colour.
| ``SetHorizontalBorder`(self, value)` Sets the legend's horizontal border.
| ``SetLabelColour`(self, colour)` Sets the legend label colour.
| ``SetLabelFont`(self, font)` Sets the legend label font.
| ``SetTransparent`(self, value)` Toggles the legend transparency (visibility).
| ``SetVerticalBorder`(self, value)` Sets the legend's vertical border.

Property Summary

Instance Method Details

### __init__(self, parent, title, id=-1, pos=wx.Point(-1, -1), size=wx.Size(-1, -1), style=0)
(Constructor)

Default class constructor.

No special parameters are required, only the standard wxPython ones.

  Overrides:
    `wx.Window.__init__`

### GetBackColour(self)

Returns the legend background colour.

### GetHorizontalBorder(self)

Returns the legend's horizontal border.

### GetLabelColour(self)

Returns the legend label colour.

### GetLabelFont(self)

Returns the legend label font.

### GetVerticalBorder(self)

Returns the legend's vertical border.

### IsTransparent(self)

Returns whether the legend background is transparent or not.

### OnPaint(self, event)

Handles the wx.EVT_PAINT event for the legend.

### RecreateBackground(self, parentdc)

Recreates the legend background.

### SetBackColour(self, colour)

Sets the legend background colour.

### SetHorizontalBorder(self, value)

Sets the legend's horizontal border.

### SetLabelColour(self, colour)

Sets the legend label colour.

### SetLabelFont(self, font)

Sets the legend label font.

### SetTransparent(self, value=False)

Toggles the legend transparency (visibility).

  Overrides:
    `wx.Window.SetTransparent`

### SetVerticalBorder(self, value)

Sets the legend's vertical border.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:53:54 2009 | http://epydoc.sf.net